OpenNMS API 1.2.9

## org.opennms.netmgt.capsd
Class HttpsPlugin

    java.lang.Object
      org.opennms.netmgt.capsd.AbstractPlugin
          org.opennms.netmgt.capsd.AbstractTcpPlugin
              org.opennms.netmgt.capsd.HttpPlugin
                  org.opennms.netmgt.capsd.HttpsPlugin

All Implemented Interfaces:
  Plugin

public class HttpsPlugin
extends HttpPlugin

This class is designed to be used by the capabilities daemon to test for the existance of an HTTPS server on remote interfaces. The class implements the Plugin interface that allows it to be used along with other plugins by the daemon. This plugin generates a HTTP GET request and checks the return code returned by the remote host to determine if it supports the protocol. The remote host's response will be deemed valid if the return code falls in the 100 to 599 range (inclusive). This is based on the following information from RFC 1945 (HTTP 1.0) HTTP 1.0 GET return codes: 1xx: Informational - Not used, future use 2xx: Success 3xx: Redirection 4xx: Client error 5xx: Server error

This plugin generates a HTTP GET request and checks the return code returned by the remote host to determine if it supports the protocol. The remote host's response will be deemed valid if the return code falls in the 100 to 599 range (inclusive). This is based on the following information from RFC 1945 (HTTP 1.0) HTTP 1.0 GET return codes: 1xx: Informational - Not used, future use 2xx: Success 3xx: Redirection 4xx: Client error 5xx: Server error

Author:
  Jason , OpenNMS

Field Summary
`private static int[]` `DEFAULT_PORTS` The default ports on which the host is checked to see if it supports HTTP.
`private static int` `DEFAULT_RETRY` Default number of retries for HTTP requests.
`private static int` `DEFAULT_TIMEOUT` Default timeout (in milliseconds) for HTTP requests.

Fields inherited from class org.opennms.netmgt.capsd.HttpPlugin
`CHECK_RETURN_CODE, DEFAULT_URL, PROTOCOL_NAME, QUERY_STRING, RESPONSE_STRING`

Fields inherited from class org.opennms.netmgt.capsd.AbstractTcpPlugin
`m_defaultPort, m_defaultRetry, m_defaultTimeout, m_pluginName, m_protocolName`

Constructor Summary
`HttpsPlugin()`

Method Summary
`protected java.net.Socket` `wrapSocket(java.net.Socket socket, ConnectionConfig config)`

Methods inherited from class org.opennms.netmgt.capsd.HttpPlugin
`checkProtocol, getConnectionConfigList`

Methods inherited from class org.opennms.netmgt.capsd.AbstractTcpPlugin
`checkConnection, closeSocket, createConnectionConfig, getKeyedInteger, getKeyedIntegerArray, getPluginName, getProtocolName, isProtocolSupported, isProtocolSupported, populateConnectionConfig, preconnectCheck, saveConfig, saveKeyedInteger, setPluginName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_PORTS

    private static final int[] DEFAULT_PORTS

  The default ports on which the host is checked to see if it supports HTTP.

### DEFAULT_RETRY

    private static final int DEFAULT_RETRY

  Default number of retries for HTTP requests.

  See Also:
    Constant Field Values

### DEFAULT_TIMEOUT

    private static final int DEFAULT_TIMEOUT

  Default timeout (in milliseconds) for HTTP requests.

  See Also:
    Constant Field Values

Constructor Detail

### HttpsPlugin

    public HttpsPlugin()

Method Detail

### wrapSocket

    protected java.net.Socket wrapSocket(java.net.Socket socket,
                                         ConnectionConfig config)
                                  throws java.lang.Exception

  Overrides:
    `wrapSocket` in class `AbstractTcpPlugin`
  Throws:
    `java.lang.Exception`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.